GET /schedules
Operation ID: ApiWeb.ScheduleController.index
Auth: unknown
Parameters (14)
(string, query, optional)
Fields to include with the response. Multiple fields **MUST** be a comma-separated (U+002C COMMA, ",") list. Note that fields can also be selected for included data types: see the [V3 API Best Practices](https://www.mbta.com/developers/v3-api/best-practices) for an example.
(string, query, optional)
Filter schedule by date that they are active. The active date is the service date. Trips that begin between midnight and 3am are considered part of the previous service day. The format is ISO8601 with the template of YYYY-MM-DD.
(string, query, optional)
Filter by direction of travel along the route. Must be used in conjuction with `filter[route]` to apply. The meaning of `direction_id` varies based on the route. You can programmatically get the direction names from `/routes` `/data/{index}/attributes/direction_names` or `/routes/{id}` `/data/attri...
Constraints: {'enum': ['0', '1']}
(string, query, optional)
Time after which schedule should not be returned. To filter times after midnight use more than 24 hours. For example, min_time=24:00 will return schedule information for the next calendar day, since that service is considered part of the current service day. Additionally, min_time=00:00&max_time=02:...
(string, query, optional)
Time before which schedule should not be returned. To filter times after midnight use more than 24 hours. For example, min_time=24:00 will return schedule information for the next calendar day, since that service is considered part of the current service day. Additionally, min_time=00:00&max_time=02...
(string, query, optional)
Filter by `/data/{index}/relationships/route/data/id`. Multiple IDs **MUST** be a comma-separated (U+002C COMMA, ",") list.
(string, query, optional)
Filter by route_type: https://gtfs.org/documentation/schedule/reference/#routestxt. Multiple `route_type` **MUST** be a comma-separated (U+002C COMMA, ",") list. Must be used in conjunction with another filter.
Constraints: {'enum': ['0', '1', '2', '3', '4']}
(string, query, optional)
Filter by `/data/{index}/relationships/stop/data/id`. Multiple IDs **MUST** be a comma-separated (U+002C COMMA, ",") list. Parent station IDs are treated as though their child stops were also included.
(string, query, optional)
Filter by the index of the stop in the trip. Symbolic values `first` and `last` can be used instead of numeric sequence number too.
(string, query, optional)
Filter by `/data/{index}/relationships/trip/data/id`. Multiple IDs **MUST** be a comma-separated (U+002C COMMA, ",") list.
(string, query, optional)
Relationships to include. * `stop` * `trip` * `prediction` * `route` The value of the include parameter **MUST** be a comma-separated (U+002C COMMA, ",") list of relationship paths. A relationship path is a dot-separated (U+002E FULL-STOP, ".") list of relationship names. [JSONAPI "include" behavi...
(integer, query, optional)
Max number of elements to return
(integer, query, optional)
Offset (0-based) of first element in the page
(string, query, optional)
Results can be [sorted](http://jsonapi.org/format/#fetching-sorting) by the id or any `/data/{index}/attributes` key. | JSON pointer | Direction | `sort` | |--------------|-----------|------------| | `/data/{index}/attributes/arrival_time` | ascending | `arrival_time` | | `/data/{index}/attribu...
Constraints: {'enum': ['arrival_time', '-arrival_time', 'departure_time', '-departure_time', 'direction_id', '-direction_id', 'drop_off_type', '-drop_off_type', 'pickup_type', '-pickup_type', 'stop_headsign', '-stop_headsign', 'stop_sequence', '-stop_sequence', 'timepoint', '-timepoint', 'time', '-time']}
No probe data for this endpoint yet.